body {
  margin: 0 auto;
  width: 100%;
  background: #ddd;
}

#main {
  margin: 0 auto;
  display: flex;
  width: 80%;
  justify-content: space-around;
  height: 600px;
  margin-top: 10vh;
}

#track {
  vertical-align: middle;
  margin-top: 20vh;
}

h1 {
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande',
    'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  word-spacing: 20px;
}

input {
  padding: 1rem;
  font-size: 1rem;
  margin-top: 10px;
  width: 100%;
  border-radius: 10px;
}
label {
  font-size: 1rem;
}

input:focus,
#search:focus {
  outline: none;
}
#display {
  /* margin: 0 auto; */
  background-color: #424246;
  font-family: monospace, monospace;
  padding: 1rem;
  word-wrap: break-word;
  height: 600px;
  overflow-y: auto;
  padding-left: 2.5rem;
}

#display span:last-child,
.right {
  color: #b1ce74;
}
#display span:first-child,
.left {
  color: rgba(244, 191, 117, 0.87);
}
span {
  line-height: 1.5em;
}

code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

#display .inner span:nth-child(even),
#display .inner span:nth-child(odd) {
  /* display: block; */
  margin-left: 20px;
}

#display img {
  height: 15px;
}

.closing,
.opening {
  color: rgba(244, 191, 117, 0.87) !important;
}

.inner {
  margin-top: 0;
}

.opening {
  margin-left: -1.5rem;
}

#search,
.map {
  border-radius: 10px;
  padding: 0.5rem 1rem;
  font-size: 1.2rem;
  margin-top: 1rem;
  border: none;
  background: white;
  cursor: pointer;
}

.map {
  margin-bottom: 1rem;
}

#search:hover,
.map:hover {
  color: white;
  background-color: goldenrod;
}

@media only screen and (max-width: 700px) {
  #main {
    width: 90%;
    box-sizing: border-box;
    flex-direction: column;
    padding: 2rem;
    margin: 0 auto;
    height: auto;
    justify-content: center;
  }

  #track {
    margin: 0 auto;
    margin-top: 5vh;
  }

  #display {
    height: 600px;
    overflow-y: auto;
    padding-left: 2.5rem;
    width: 90%;
    margin: 2rem auto;
  }
  h1 {
    word-spacing: 4px;
    text-align: center;
  }
}

a {
  text-decoration: none;
}

#display::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
  background-color: #f5f5f5;
  border-radius: 10px;
}

#display::-webkit-scrollbar {
  width: 10px;
  background-color: #f5f5f5;
}

#display::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background-color: #424246;
  background-image: -webkit-linear-gradient(
    90deg,
    rgba(255, 255, 255, 0.2) 25%,
    transparent 25%,
    transparent 50%,
    rgba(255, 255, 255, 0.2) 50%,
    rgba(255, 255, 255, 0.2) 75%,
    transparent 75%,
    transparent
  );
}
